
%define		php_min_version 5.4.0
%include	/usr/lib/rpm/macros.php
Summary:	Package Repository Generator
Name:		satis
Version:	1.0.0
Release:	2
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/composer/satis/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	884bf6850503c0cf5eff693b841b3f1b
Source1:	autoload.php
Patch0:		autoload.patch
URL:		https://github.com/composer/satis
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.461
BuildRequires:	sed >= 4.0
Requires:	composer >= 1.0.0-18
Requires:	php(core) >= %{php_min_version}
Requires:	php(hash)
Requires:	php(json)
Requires:	php(pcre)
Requires:	php-composer-semver >= 1.2.0-2
Requires:	php-twig-Twig >= 1.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}

%description
Simple static Composer repository generator.

It uses any composer.json file as input and dumps all the required
(according to their version constraints) packages to a Composer
Repository file.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,^#!.*env php,#!/usr/bin/php,' bin/*

cp -p %{SOURCE1} src/autoload.php

# move to Source dir, eases packaging
mv res views src

# not needed runtime
mv bin/docker* bin/*.bat .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_data_dir}/Composer/Satis}
cp -a src/* $RPM_BUILD_ROOT%{php_data_dir}/Composer/Satis
install -p bin/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/satis
%{php_data_dir}/Composer/Satis
%changelog
* Wed Apr 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/satis.git;a=log;h=master

* Fri Mar 09 2018 Elan Ruusamäe <glen@pld-linux.org> b2641ed
- up to 1.0.0-release

* Thu Apr 07 2016 Elan Ruusamäe <glen@delfi.ee> 7010c7c
- md5 fix

* Thu Apr 07 2016 Elan Ruusamäe <glen@delfi.ee> c545019
- up to 6a8e47e, commit before php 5.5 bump

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 52d35d8
- rel 1

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 8a29fde
- versionparser.patch moved to semver

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> ad40863
- patch to support configuring include filename

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 6e08121
- patch location of twig templates

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> ba72ef5
- add autoload for Twig

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> dd37532
- add autoload.patch

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 3988f08
- use composer autoloader; cleanup composer deps from here

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 2e947a8
- use system packages; not bundle vendor

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 28af8c2
- up to 1.0.0-alpha1-152-g48191ff

* Tue Apr 28 2015 Elan Ruusamäe <glen@delfi.ee> a923f52
- parse rpm-like tags: 1.2-3

* Tue Apr 28 2015 Elan Ruusamäe <glen@delfi.ee> 3bf63fb
- zip to decompress .zip archives

* Tue Apr 28 2015 Elan Ruusamäe <glen@delfi.ee> b07611e
- zlib ext to decompress archives

* Tue Apr 28 2015 Elan Ruusamäe <glen@delfi.ee> f65d7fd
- uses Phar for archive exports

* Wed Jul 16 2014 Elan Ruusamäe <glen@delfi.ee> a799056
- requires hash

* Wed Jul 16 2014 Elan Ruusamäe <glen@delfi.ee> 226b7f8
- up to 1.0.0alpha1

* Fri Apr 12 2013 Elan Ruusamäe <glen@delfi.ee> 3db193a
- requires filter ext

* Fri Apr 12 2013 Elan Ruusamäe <glen@delfi.ee> 64e8585
- install fixes

